package bigloo;

import java.io.*;

public class output_port extends obj {
    public OutputStream out;
    public byte[] name = "???".getBytes();
    
    public output_port(OutputStream stream) {
	out = stream;
    }

    public output_port(OutputStream stream, byte[] _name) {
	name = _name;
	out = stream;
    }

    public output_port(byte[] file) throws IOException {
	// CARE JVM dependant ?!
	this(new FileOutputStream(new String(file)));
	// this(new BufferedOutputStream(new FileOutputStream(new String( file ))));
	name = file;
    }

    public output_port(byte[] file, boolean a) throws IOException {
	// CARE JVM dependant ?!
	this(new FileOutputStream(new String(file), a));
	name = file;
    }

    public Object close() {
       try {
	  out.close();
	  return(this);
       } catch (Exception e) {
	  if(out==null) {
	     foreign.fail("close","port already closed",this);
	     return(this);
	  } else {
	     foreign.fail("close", e.getMessage(), this);
	     return(this);
	  }
       }
    }

    public Object flush() {
       try {
	  out.flush();
	  return(this);
       } catch (Exception e) {
	  if(out==null) {
	     return(this);
	  } else {
	     foreign.fail("flush", e.getMessage(), this);
	     return(this);
	  }
       }
    }

    Object bgl_output_port_seek(long pos) throws IOException {
	return(bigloo.foreign.BFALSE);
    }

    public final void write(int cn) {
	try {
	    out.write(cn);
	} catch (Exception e) {
	   if(out==null) {
	      foreign.fail("write","port closed",this);
	   } else {
	      foreign.fail("write", e.getMessage(), this);
	   }
	}
    }

    public final void write(byte[] s) {
	try {
	    out.write(s, 0, s.length);
	} catch (Exception e) {
	   if(out==null) {
	      foreign.fail("write","port closed",this);
	   } else {
	      foreign.fail("write", e.getMessage(), this);
	   }
	}
    }

    public final void write(String s) {
	int len = s.length();
	try {
	    for(int i=0; i<len ; i++) out.write((byte) s.charAt(i));
	} catch (Exception e) {
	   if(out==null) {
	      foreign.fail("write","port closed",this);
	   } else {
	      foreign.fail("write", e.getMessage(), this);
	   }
	}
    }

    public void write(output_port p) {
	p.write( "#<output_port:" + new String(name) + ">");
    }
}
