/*===========================================================================*/
/*   (Llib/binary.scm)                                                       */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

/* debug mode */
#define BIGLOO_DEBUG 1

#include <bigloo.h>
#include <signal.h>

extern obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
static obj_t BGl__openzd2outputzd2binaryzd2file1707zd2zz__binaryz00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t output_obj(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__binaryz00();
static obj_t BGl_symbol1838z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1837z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1836z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1834z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1833z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1832z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1831z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1830z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1829z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1827z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1826z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1825z00zz__binaryz00 = BUNSPEC;
extern obj_t string_to_symbol(char *);
static obj_t BGl_symbol1824z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1823z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1822z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1819z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1818z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1817z00zz__binaryz00 = BUNSPEC;
static obj_t BGl__appendzd2outputzd2binaryzd2file1709zd2zz__binaryz00(obj_t, obj_t);
extern obj_t open_output_binary_file(obj_t);
extern obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t);
extern obj_t BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
static obj_t BGl__inputzd2char1721zd2zz__binaryz00(obj_t, obj_t);
extern bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00();
extern obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t);
extern obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__binaryz00 = BUNSPEC;
static obj_t BGl__closezd2binaryzd2port1713z00zz__binaryz00(obj_t, obj_t);
static obj_t BGl__openzd2inputzd2binaryzd2file1711zd2zz__binaryz00(obj_t, obj_t);
static obj_t BGl__outputzd2obj1717zd2zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl__outputzd2char1719zd2zz__binaryz00(obj_t, obj_t, obj_t);
extern obj_t open_input_binary_file(obj_t);
extern obj_t append_output_binary_file(obj_t);
extern obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t, char);
extern obj_t input_obj(obj_t);
extern obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t);
static obj_t BGl__inputzd2obj1715zd2zz__binaryz00(obj_t, obj_t);
extern obj_t close_binary_port(obj_t);
extern unsigned char BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(long);
extern obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t, obj_t);
static obj_t BGl__binaryzd2portzf3z21zz__binaryz00(obj_t, obj_t);
static obj_t *__cnst;

DEFINE_EXPORT_PROCEDURE( BGl_outputzd2objzd2envz00zz__binaryz00, BgL_bgl__outputza7d2obj1717za7d2za7za7__binaryza7001845za7, BGl__outputzd2obj1717zd2zz__binaryz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_appendzd2outputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl__appendza7d2outputza7d2binaryza7d2file1709za7d2za7za7__binaryza7001846za7, BGl__appendzd2outputzd2binaryzd2file1709zd2zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_closezd2binaryzd2portzd2envzd2zz__binaryz00, BgL_bgl__closeza7d2binaryza7d2port1713za700za7za7__binaryza7001847z00, BGl__closezd2binaryzd2port1713z00zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_outputzd2charzd2envz00zz__binaryz00, BgL_bgl__outputza7d2char1719za7d2za7za7__binaryza7001848za7, BGl__outputzd2char1719zd2zz__binaryz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_openzd2inputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl__openza7d2inputza7d2binaryza7d2file1711za7d2za7za7__binaryza7001849za7, BGl__openzd2inputzd2binaryzd2file1711zd2zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_binaryzd2portzf3zd2envzf3zz__binaryz00, BgL_bgl__binaryza7d2portza7f3za721za7za7__binaryza7001850z00, BGl__binaryzd2portzf3z21zz__binaryz00, 0L, 1 );
DEFINE_STRING( BGl_string1835z00zz__binaryz00, BgL_bgl_string1835za700za7za7__binaryza7001851z00, "char", 4 );
DEFINE_STRING( BGl_string1828z00zz__binaryz00, BgL_bgl_string1828za700za7za7__binaryza7001852z00, "binary-port", 11 );
DEFINE_STRING( BGl_string1821z00zz__binaryz00, BgL_bgl_string1821za700za7za7__binaryza7001853z00, "/tmp/bigloo/runtime/Llib/binary.scm", 35 );
DEFINE_STRING( BGl_string1820z00zz__binaryz00, BgL_bgl_string1820za700za7za7__binaryza7001854z00, "bstring", 7 );
DEFINE_EXPORT_PROCEDURE( BGl_openzd2outputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl__openza7d2outputza7d2binaryza7d2file1707za7d2za7za7__binaryza7001855za7, BGl__openzd2outputzd2binaryzd2file1707zd2zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_inputzd2charzd2envz00zz__binaryz00, BgL_bgl__inputza7d2char1721za7d2za7za7__binaryza7001856za7, BGl__inputzd2char1721zd2zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_inputzd2objzd2envz00zz__binaryz00, BgL_bgl__inputza7d2obj1715za7d2za7za7__binaryza7001857za7, BGl__inputzd2obj1715zd2zz__binaryz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long BgL_checksumz00_598, char * BgL_fromz00_599)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__binaryz00))
{ 
BGl_requirezd2initializa7ationz75zz__binaryz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__binaryz00(); 
BGl_importedzd2moduleszd2initz00zz__binaryz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__binaryz00()
{ AN_OBJECT;
{ /* Llib/binary.scm 15 */
BGl_symbol1817z00zz__binaryz00 = 
string_to_symbol("binary-port?"); 
BGl_symbol1818z00zz__binaryz00 = 
string_to_symbol("open-output-binary-file"); 
BGl_symbol1819z00zz__binaryz00 = 
string_to_symbol("_open-output-binary-file1707"); 
BGl_symbol1822z00zz__binaryz00 = 
string_to_symbol("append-output-binary-file"); 
BGl_symbol1823z00zz__binaryz00 = 
string_to_symbol("_append-output-binary-file1709"); 
BGl_symbol1824z00zz__binaryz00 = 
string_to_symbol("open-input-binary-file"); 
BGl_symbol1825z00zz__binaryz00 = 
string_to_symbol("_open-input-binary-file1711"); 
BGl_symbol1826z00zz__binaryz00 = 
string_to_symbol("close-binary-port"); 
BGl_symbol1827z00zz__binaryz00 = 
string_to_symbol("_close-binary-port1713"); 
BGl_symbol1829z00zz__binaryz00 = 
string_to_symbol("input-obj"); 
BGl_symbol1830z00zz__binaryz00 = 
string_to_symbol("_input-obj1715"); 
BGl_symbol1831z00zz__binaryz00 = 
string_to_symbol("output-obj"); 
BGl_symbol1832z00zz__binaryz00 = 
string_to_symbol("_output-obj1717"); 
BGl_symbol1833z00zz__binaryz00 = 
string_to_symbol("output-char"); 
BGl_symbol1834z00zz__binaryz00 = 
string_to_symbol("_output-char1719"); 
BGl_symbol1836z00zz__binaryz00 = 
string_to_symbol("input-char"); 
BGl_symbol1837z00zz__binaryz00 = 
string_to_symbol("_input-char1721"); 
return ( 
BGl_symbol1838z00zz__binaryz00 = 
string_to_symbol("imported-modules-init"), BUNSPEC) ;} 
}



/* binary-port? */
bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* Llib/binary.scm 108 */
{ /* Llib/binary.scm 109 */
obj_t BgL_symbol1667z00_568;
BgL_symbol1667z00_568 = BGl_symbol1817z00zz__binaryz00; 
{ /* Llib/binary.scm 109 */

PUSH_TRACE(BgL_symbol1667z00_568); BUNSPEC; 
{ /* Llib/binary.scm 109 */
bool_t BgL_aux1666z00_569;
BgL_aux1666z00_569 = 
BINARY_PORTP(BgL_objz00_1); 
POP_TRACE(); 
return BgL_aux1666z00_569;} } } } 
}



/* _binary-port? */
obj_t BGl__binaryzd2portzf3z21zz__binaryz00(obj_t BgL_envz00_530, obj_t BgL_objz00_531)
{ AN_OBJECT;
{ /* Llib/binary.scm 108 */
{ /* Llib/binary.scm 109 */
bool_t BgL_auxz00_626;
{ /* Llib/binary.scm 109 */
bool_t BgL_res1839z00_573;
{ /* Llib/binary.scm 109 */
obj_t BgL_symbol1667z00_571;
BgL_symbol1667z00_571 = BGl_symbol1817z00zz__binaryz00; 
{ /* Llib/binary.scm 109 */

PUSH_TRACE(BgL_symbol1667z00_571); BUNSPEC; 
{ /* Llib/binary.scm 109 */
bool_t BgL_aux1666z00_572;
BgL_aux1666z00_572 = 
BINARY_PORTP(BgL_objz00_531); 
POP_TRACE(); 
BgL_res1839z00_573 = BgL_aux1666z00_572; } } } 
BgL_auxz00_626 = BgL_res1839z00_573; } 
return 
BBOOL(BgL_auxz00_626);} } 
}



/* open-output-binary-file */
obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_2)
{ AN_OBJECT;
{ /* Llib/binary.scm 114 */
{ /* Llib/binary.scm 115 */
obj_t BgL_symbol1671z00_512;
BgL_symbol1671z00_512 = BGl_symbol1818z00zz__binaryz00; 
{ /* Llib/binary.scm 115 */

PUSH_TRACE(BgL_symbol1671z00_512); BUNSPEC; 
{ /* Llib/binary.scm 115 */
obj_t BgL_aux1670z00_513;
BgL_aux1670z00_513 = 
open_output_binary_file(BgL_strz00_2); 
POP_TRACE(); 
return BgL_aux1670z00_513;} } } } 
}



/* _open-output-binary-file1707 */
obj_t BGl__openzd2outputzd2binaryzd2file1707zd2zz__binaryz00(obj_t BgL_envz00_532, obj_t BgL_strz00_533)
{ AN_OBJECT;
{ /* Llib/binary.scm 114 */
{ /* Llib/binary.scm 115 */
obj_t BgL_auxz00_634;
if(
STRINGP(BgL_strz00_533))
{ /* Llib/binary.scm 115 */
BgL_auxz00_634 = BgL_strz00_533
; }  else 
{ /* Llib/binary.scm 115 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1819z00zz__binaryz00, BGl_string1820z00zz__binaryz00, BgL_strz00_533, BGl_string1821z00zz__binaryz00, 
BINT(((long)4380))); 
exit( -1 );} 
return 
BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(BgL_auxz00_634);} } 
}



/* append-output-binary-file */
obj_t BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_3)
{ AN_OBJECT;
{ /* Llib/binary.scm 120 */
{ /* Llib/binary.scm 121 */
obj_t BgL_symbol1675z00_514;
BgL_symbol1675z00_514 = BGl_symbol1822z00zz__binaryz00; 
{ /* Llib/binary.scm 121 */

PUSH_TRACE(BgL_symbol1675z00_514); BUNSPEC; 
{ /* Llib/binary.scm 121 */
obj_t BgL_aux1674z00_515;
BgL_aux1674z00_515 = 
append_output_binary_file(BgL_strz00_3); 
POP_TRACE(); 
return BgL_aux1674z00_515;} } } } 
}



/* _append-output-binary-file1709 */
obj_t BGl__appendzd2outputzd2binaryzd2file1709zd2zz__binaryz00(obj_t BgL_envz00_534, obj_t BgL_strz00_535)
{ AN_OBJECT;
{ /* Llib/binary.scm 120 */
{ /* Llib/binary.scm 121 */
obj_t BgL_auxz00_644;
if(
STRINGP(BgL_strz00_535))
{ /* Llib/binary.scm 121 */
BgL_auxz00_644 = BgL_strz00_535
; }  else 
{ /* Llib/binary.scm 121 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1823z00zz__binaryz00, BGl_string1820z00zz__binaryz00, BgL_strz00_535, BGl_string1821z00zz__binaryz00, 
BINT(((long)4679))); 
exit( -1 );} 
return 
BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(BgL_auxz00_644);} } 
}



/* open-input-binary-file */
obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_4)
{ AN_OBJECT;
{ /* Llib/binary.scm 126 */
{ /* Llib/binary.scm 127 */
obj_t BgL_symbol1679z00_516;
BgL_symbol1679z00_516 = BGl_symbol1824z00zz__binaryz00; 
{ /* Llib/binary.scm 127 */

PUSH_TRACE(BgL_symbol1679z00_516); BUNSPEC; 
{ /* Llib/binary.scm 127 */
obj_t BgL_aux1678z00_517;
BgL_aux1678z00_517 = 
open_input_binary_file(BgL_strz00_4); 
POP_TRACE(); 
return BgL_aux1678z00_517;} } } } 
}



/* _open-input-binary-file1711 */
obj_t BGl__openzd2inputzd2binaryzd2file1711zd2zz__binaryz00(obj_t BgL_envz00_536, obj_t BgL_strz00_537)
{ AN_OBJECT;
{ /* Llib/binary.scm 126 */
{ /* Llib/binary.scm 127 */
obj_t BgL_auxz00_654;
if(
STRINGP(BgL_strz00_537))
{ /* Llib/binary.scm 127 */
BgL_auxz00_654 = BgL_strz00_537
; }  else 
{ /* Llib/binary.scm 127 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1825z00zz__binaryz00, BGl_string1820z00zz__binaryz00, BgL_strz00_537, BGl_string1821z00zz__binaryz00, 
BINT(((long)4977))); 
exit( -1 );} 
return 
BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(BgL_auxz00_654);} } 
}



/* close-binary-port */
obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t BgL_portz00_5)
{ AN_OBJECT;
{ /* Llib/binary.scm 132 */
{ /* Llib/binary.scm 133 */
obj_t BgL_symbol1683z00_518;
BgL_symbol1683z00_518 = BGl_symbol1826z00zz__binaryz00; 
{ /* Llib/binary.scm 133 */

PUSH_TRACE(BgL_symbol1683z00_518); BUNSPEC; 
{ /* Llib/binary.scm 133 */
obj_t BgL_aux1682z00_519;
BgL_aux1682z00_519 = 
close_binary_port(BgL_portz00_5); 
POP_TRACE(); 
return BgL_aux1682z00_519;} } } } 
}



/* _close-binary-port1713 */
obj_t BGl__closezd2binaryzd2port1713z00zz__binaryz00(obj_t BgL_envz00_538, obj_t BgL_portz00_539)
{ AN_OBJECT;
{ /* Llib/binary.scm 132 */
{ /* Llib/binary.scm 133 */
obj_t BgL_auxz00_664;
if(
BINARY_PORTP(BgL_portz00_539))
{ /* Llib/binary.scm 133 */
BgL_auxz00_664 = BgL_portz00_539
; }  else 
{ /* Llib/binary.scm 133 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1827z00zz__binaryz00, BGl_string1828z00zz__binaryz00, BgL_portz00_539, BGl_string1821z00zz__binaryz00, 
BINT(((long)5268))); 
exit( -1 );} 
return 
BGl_closezd2binaryzd2portz00zz__binaryz00(BgL_auxz00_664);} } 
}



/* input-obj */
obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t BgL_portz00_6)
{ AN_OBJECT;
{ /* Llib/binary.scm 138 */
{ /* Llib/binary.scm 139 */
obj_t BgL_symbol1687z00_574;
BgL_symbol1687z00_574 = BGl_symbol1829z00zz__binaryz00; 
{ /* Llib/binary.scm 139 */

PUSH_TRACE(BgL_symbol1687z00_574); BUNSPEC; 
{ /* Llib/binary.scm 139 */
obj_t BgL_aux1686z00_575;
BgL_aux1686z00_575 = 
input_obj(BgL_portz00_6); 
POP_TRACE(); 
return BgL_aux1686z00_575;} } } } 
}



/* _input-obj1715 */
obj_t BGl__inputzd2obj1715zd2zz__binaryz00(obj_t BgL_envz00_540, obj_t BgL_portz00_541)
{ AN_OBJECT;
{ /* Llib/binary.scm 138 */
{ /* Llib/binary.scm 139 */
obj_t BgL_portz00_576;
if(
BINARY_PORTP(BgL_portz00_541))
{ /* Llib/binary.scm 139 */
BgL_portz00_576 = BgL_portz00_541; }  else 
{ /* Llib/binary.scm 139 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1830z00zz__binaryz00, BGl_string1828z00zz__binaryz00, BgL_portz00_541, BGl_string1821z00zz__binaryz00, 
BINT(((long)5554))); 
exit( -1 );} 
{ /* Llib/binary.scm 139 */
obj_t BgL_symbol1687z00_577;
BgL_symbol1687z00_577 = BGl_symbol1829z00zz__binaryz00; 
{ /* Llib/binary.scm 139 */

PUSH_TRACE(BgL_symbol1687z00_577); BUNSPEC; 
{ /* Llib/binary.scm 139 */
obj_t BgL_aux1686z00_578;
BgL_aux1686z00_578 = 
input_obj(BgL_portz00_576); 
POP_TRACE(); 
return BgL_aux1686z00_578;} } } } } 
}



/* output-obj */
obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t BgL_portz00_7, obj_t BgL_objz00_8)
{ AN_OBJECT;
{ /* Llib/binary.scm 144 */
{ /* Llib/binary.scm 145 */
obj_t BgL_symbol1691z00_579;
BgL_symbol1691z00_579 = BGl_symbol1831z00zz__binaryz00; 
{ /* Llib/binary.scm 145 */

PUSH_TRACE(BgL_symbol1691z00_579); BUNSPEC; 
{ /* Llib/binary.scm 145 */
obj_t BgL_aux1690z00_580;
BgL_aux1690z00_580 = 
output_obj(BgL_portz00_7, BgL_objz00_8); 
POP_TRACE(); 
return BgL_aux1690z00_580;} } } } 
}



/* _output-obj1717 */
obj_t BGl__outputzd2obj1717zd2zz__binaryz00(obj_t BgL_envz00_542, obj_t BgL_portz00_543, obj_t BgL_objz00_544)
{ AN_OBJECT;
{ /* Llib/binary.scm 144 */
{ /* Llib/binary.scm 145 */
obj_t BgL_portz00_581;
if(
BINARY_PORTP(BgL_portz00_543))
{ /* Llib/binary.scm 145 */
BgL_portz00_581 = BgL_portz00_543; }  else 
{ /* Llib/binary.scm 145 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1832z00zz__binaryz00, BGl_string1828z00zz__binaryz00, BgL_portz00_543, BGl_string1821z00zz__binaryz00, 
BINT(((long)5837))); 
exit( -1 );} 
{ /* Llib/binary.scm 145 */
obj_t BgL_symbol1691z00_583;
BgL_symbol1691z00_583 = BGl_symbol1831z00zz__binaryz00; 
{ /* Llib/binary.scm 145 */

PUSH_TRACE(BgL_symbol1691z00_583); BUNSPEC; 
{ /* Llib/binary.scm 145 */
obj_t BgL_aux1690z00_584;
BgL_aux1690z00_584 = 
output_obj(BgL_portz00_581, BgL_objz00_544); 
POP_TRACE(); 
return BgL_aux1690z00_584;} } } } } 
}



/* output-char */
obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t BgL_portz00_9, char BgL_charz00_10)
{ AN_OBJECT;
{ /* Llib/binary.scm 150 */
{ /* Llib/binary.scm 151 */
obj_t BgL_symbol1695z00_585;
BgL_symbol1695z00_585 = BGl_symbol1833z00zz__binaryz00; 
{ /* Llib/binary.scm 151 */

PUSH_TRACE(BgL_symbol1695z00_585); BUNSPEC; 
{ /* Llib/binary.scm 151 */
obj_t BgL_aux1694z00_586;
BgL_aux1694z00_586 = 
BGL_OUTPUT_CHAR(BgL_portz00_9, BgL_charz00_10); 
POP_TRACE(); 
return BgL_aux1694z00_586;} } } } 
}



/* _output-char1719 */
obj_t BGl__outputzd2char1719zd2zz__binaryz00(obj_t BgL_envz00_545, obj_t BgL_portz00_546, obj_t BgL_charz00_547)
{ AN_OBJECT;
{ /* Llib/binary.scm 150 */
{ /* Llib/binary.scm 151 */
obj_t BgL_portz00_587;char BgL_charz00_588;
if(
BINARY_PORTP(BgL_portz00_546))
{ /* Llib/binary.scm 151 */
BgL_portz00_587 = BgL_portz00_546; }  else 
{ /* Llib/binary.scm 151 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1834z00zz__binaryz00, BGl_string1828z00zz__binaryz00, BgL_portz00_546, BGl_string1821z00zz__binaryz00, 
BINT(((long)6132))); 
exit( -1 );} 
{ /* Llib/binary.scm 151 */
obj_t BgL_auxz00_701;
if(
CHARP(BgL_charz00_547))
{ /* Llib/binary.scm 151 */
BgL_auxz00_701 = BgL_charz00_547
; }  else 
{ /* Llib/binary.scm 151 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1834z00zz__binaryz00, BGl_string1835z00zz__binaryz00, BgL_charz00_547, BGl_string1821z00zz__binaryz00, 
BINT(((long)6132))); 
exit( -1 );} 
BgL_charz00_588 = 
CCHAR(BgL_auxz00_701); } 
{ /* Llib/binary.scm 151 */
obj_t BgL_symbol1695z00_589;
BgL_symbol1695z00_589 = BGl_symbol1833z00zz__binaryz00; 
{ /* Llib/binary.scm 151 */

PUSH_TRACE(BgL_symbol1695z00_589); BUNSPEC; 
{ /* Llib/binary.scm 151 */
obj_t BgL_aux1694z00_590;
BgL_aux1694z00_590 = 
BGL_OUTPUT_CHAR(BgL_portz00_587, BgL_charz00_588); 
POP_TRACE(); 
return BgL_aux1694z00_590;} } } } } 
}



/* input-char */
obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t BgL_portz00_11)
{ AN_OBJECT;
{ /* Llib/binary.scm 156 */
{ /* Llib/binary.scm 157 */
obj_t BgL_symbol1699z00_591;
BgL_symbol1699z00_591 = BGl_symbol1836z00zz__binaryz00; 
{ /* Llib/binary.scm 157 */

PUSH_TRACE(BgL_symbol1699z00_591); BUNSPEC; 
{ /* Llib/binary.scm 157 */
obj_t BgL_aux1698z00_592;
{ /* Llib/binary.scm 157 */
int BgL_charz00_593;
BgL_charz00_593 = 
BGL_INPUT_CHAR(BgL_portz00_11); 
if(
BGL_INT_EOFP(BgL_charz00_593))
{ /* Llib/binary.scm 157 */
BgL_aux1698z00_592 = BEOF; }  else 
{ /* Llib/binary.scm 157 */
unsigned char BgL_auxz00_715;
BgL_auxz00_715 = 
BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(
(long)(BgL_charz00_593)); 
BgL_aux1698z00_592 = 
BCHAR(BgL_auxz00_715); } } 
POP_TRACE(); 
return BgL_aux1698z00_592;} } } } 
}



/* _input-char1721 */
obj_t BGl__inputzd2char1721zd2zz__binaryz00(obj_t BgL_envz00_548, obj_t BgL_portz00_549)
{ AN_OBJECT;
{ /* Llib/binary.scm 156 */
{ /* Llib/binary.scm 157 */
obj_t BgL_portz00_594;
if(
BINARY_PORTP(BgL_portz00_549))
{ /* Llib/binary.scm 157 */
BgL_portz00_594 = BgL_portz00_549; }  else 
{ /* Llib/binary.scm 157 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1837z00zz__binaryz00, BGl_string1828z00zz__binaryz00, BgL_portz00_549, BGl_string1821z00zz__binaryz00, 
BINT(((long)6418))); 
exit( -1 );} 
{ /* Llib/binary.scm 157 */
obj_t BgL_symbol1699z00_595;
BgL_symbol1699z00_595 = BGl_symbol1836z00zz__binaryz00; 
{ /* Llib/binary.scm 157 */

PUSH_TRACE(BgL_symbol1699z00_595); BUNSPEC; 
{ /* Llib/binary.scm 157 */
obj_t BgL_aux1698z00_596;
{ /* Llib/binary.scm 157 */
int BgL_charz00_597;
BgL_charz00_597 = 
BGL_INPUT_CHAR(BgL_portz00_594); 
if(
BGL_INT_EOFP(BgL_charz00_597))
{ /* Llib/binary.scm 157 */
BgL_aux1698z00_596 = BEOF; }  else 
{ /* Llib/binary.scm 157 */
unsigned char BgL_auxz00_729;
BgL_auxz00_729 = 
BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(
(long)(BgL_charz00_597)); 
BgL_aux1698z00_596 = 
BCHAR(BgL_auxz00_729); } } 
POP_TRACE(); 
return BgL_aux1698z00_596;} } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00()
{ AN_OBJECT;
{ /* Llib/binary.scm 15 */
{ /* Llib/binary.scm 15 */
obj_t BgL_symbol1703z00_528;
BgL_symbol1703z00_528 = BGl_symbol1838z00zz__binaryz00; 
{ /* Llib/binary.scm 15 */

PUSH_TRACE(BgL_symbol1703z00_528); BUNSPEC; 
{ /* Llib/binary.scm 15 */
obj_t BgL_aux1702z00_529;
BGl_modulezd2initializa7ationz75zz__errorz00(((long)62184), "__binary"); 
BgL_aux1702z00_529 = 
BGl_modulezd2initializa7ationz75zz__intextz00(((long)52537), "__binary"); 
POP_TRACE(); 
return BgL_aux1702z00_529;} } } } 
}

