/*===========================================================================*/
/*   (Ieee/equiv.scm)                                                        */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>


/* Object type definitions */

extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_methodzd2initzd2zz__r4_equivalence_6_2z00();
static obj_t BGl__equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t, obj_t);
extern bool_t BGl_eqzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern bool_t bigloo_strcmp(obj_t, obj_t);
extern bool_t ucs2_strcmp(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__r4_equivalence_6_2z00();
static obj_t BGl__eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__r4_equivalence_6_2z00 = BUNSPEC;
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl__eqzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t, obj_t);
extern bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern bool_t BGl_objectzd2equalzf3z21zz__objectz00(BgL_objectz00_bglt, BgL_objectz00_bglt);
static obj_t *__cnst;

DEFINE_EXPORT_PROCEDURE( BGl_eqvzf3zd2envz21zz__r4_equivalence_6_2z00, BgL_bgl__eqvza7f3za7f3za7za7__r4_equivalence_6_2za7001964za7, BGl__eqvzf3zf3zz__r4_equivalence_6_2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00, BgL_bgl__equalza7f3za7f3za7za7__r4_equivalence_6_2za7001965za7, BGl__equalzf3zf3zz__r4_equivalence_6_2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00, BgL_bgl__eqza7f3za7f3za7za7__r4_equivalence_6_2za7001966za7, BGl__eqzf3zf3zz__r4_equivalence_6_2z00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long BgL_checksumz00_800, char * BgL_fromz00_801)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r4_equivalence_6_2z00))
{ 
BGl_requirezd2initializa7ationz75zz__r4_equivalence_6_2z00 = 
BBOOL(((bool_t)0)); 
BGl_importedzd2moduleszd2initz00zz__r4_equivalence_6_2z00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* eq? */
bool_t BGl_eqzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_obj1z00_1, obj_t BgL_obj2z00_2)
{ AN_OBJECT;
{ /* Ieee/equiv.scm 60 */
return 
(BgL_obj1z00_1==BgL_obj2z00_2);} 
}



/* _eq? */
obj_t BGl__eqzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_envz00_789, obj_t BgL_obj1z00_790, obj_t BgL_obj2z00_791)
{ AN_OBJECT;
{ /* Ieee/equiv.scm 60 */
{ /* Ieee/equiv.scm 61 */
bool_t BgL_auxz00_807;
BgL_auxz00_807 = 
(BgL_obj1z00_790==BgL_obj2z00_791); 
return 
BBOOL(BgL_auxz00_807);} } 
}



/* eqv? */
bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_obj1z00_3, obj_t BgL_obj2z00_4)
{ AN_OBJECT;
{ /* Ieee/equiv.scm 66 */
if(
INTEGERP(BgL_obj1z00_3))
{ /* Ieee/equiv.scm 68 */
if(
INTEGERP(BgL_obj2z00_4))
{ /* Ieee/equiv.scm 69 */
return 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_obj1z00_3, BgL_obj2z00_4);}  else 
{ /* Ieee/equiv.scm 69 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 68 */
if(
REALP(BgL_obj1z00_3))
{ /* Ieee/equiv.scm 71 */
if(
REALP(BgL_obj2z00_4))
{ /* Ieee/equiv.scm 72 */
return 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_obj1z00_3, BgL_obj2z00_4);}  else 
{ /* Ieee/equiv.scm 72 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 71 */
if(
SYMBOLP(BgL_obj1z00_3))
{ /* Ieee/equiv.scm 74 */
if(
SYMBOLP(BgL_obj2z00_4))
{ /* Ieee/equiv.scm 76 */
obj_t BgL_arg1049z00_413;obj_t BgL_arg1050z00_414;
BgL_arg1049z00_413 = 
SYMBOL_TO_STRING(BgL_obj1z00_3); 
BgL_arg1050z00_414 = 
SYMBOL_TO_STRING(BgL_obj2z00_4); 
return 
bigloo_strcmp(BgL_arg1049z00_413, BgL_arg1050z00_414);}  else 
{ /* Ieee/equiv.scm 75 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 74 */
if(
FOREIGNP(BgL_obj1z00_3))
{ /* Ieee/equiv.scm 78 */
if(
FOREIGNP(BgL_obj2z00_4))
{ /* Ieee/equiv.scm 79 */
return 
FOREIGN_EQP(BgL_obj1z00_3, BgL_obj2z00_4);}  else 
{ /* Ieee/equiv.scm 79 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 78 */
return 
(BgL_obj1z00_3==BgL_obj2z00_4);} } } } } 
}



/* _eqv? */
obj_t BGl__eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_envz00_792, obj_t BgL_obj1z00_793, obj_t BgL_obj2z00_794)
{ AN_OBJECT;
{ /* Ieee/equiv.scm 66 */
{ /* Ieee/equiv.scm 68 */
bool_t BgL_auxz00_833;
BgL_auxz00_833 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_obj1z00_793, BgL_obj2z00_794); 
return 
BBOOL(BgL_auxz00_833);} } 
}



/* equal? */
bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_obj1z00_5, obj_t BgL_obj2z00_6)
{ AN_OBJECT;
{ /* Ieee/equiv.scm 87 */
BGl_equalzf3zf3zz__r4_equivalence_6_2z00:
if(
(BgL_obj1z00_5==BgL_obj2z00_6))
{ /* Ieee/equiv.scm 89 */
return ((bool_t)1);}  else 
{ /* Ieee/equiv.scm 91 */
bool_t BgL_test1064z00_418;
BgL_test1064z00_418 = 
INTEGERP(BgL_obj1z00_5); 
if(BgL_test1064z00_418)
{ /* Ieee/equiv.scm 91 */
if(
INTEGERP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 93 */
long BgL_auxz00_844;long BgL_auxz00_842;
BgL_auxz00_844 = 
(long)CINT(BgL_obj2z00_6); 
BgL_auxz00_842 = 
(long)CINT(BgL_obj1z00_5); 
return 
(BgL_auxz00_842==BgL_auxz00_844);}  else 
{ /* Ieee/equiv.scm 92 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 91 */
if(
SYMBOLP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 95 */
return ((bool_t)0);}  else 
{ /* Ieee/equiv.scm 95 */
if(
PAIRP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 97 */
if(
PAIRP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 98 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CAR(BgL_obj1z00_5), 
CAR(BgL_obj2z00_6)))
{ 
obj_t BgL_obj2z00_859;obj_t BgL_obj1z00_857;
BgL_obj1z00_857 = 
CDR(BgL_obj1z00_5); 
BgL_obj2z00_859 = 
CDR(BgL_obj2z00_6); 
BgL_obj2z00_6 = BgL_obj2z00_859; 
BgL_obj1z00_5 = BgL_obj1z00_857; 
goto BGl_equalzf3zf3zz__r4_equivalence_6_2z00;}  else 
{ /* Ieee/equiv.scm 98 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 98 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 97 */
if(
VECTORP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 100 */
{ /* Ieee/equiv.scm 101 */
int BgL_lobj1z00_429;
BgL_lobj1z00_429 = 
VECTOR_LENGTH(BgL_obj1z00_5); 
if(
VECTORP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 103 */
bool_t BgL__andtest_1016z00_431;
{ /* Ieee/equiv.scm 103 */
int BgL_arg1106z00_442;
BgL_arg1106z00_442 = 
VECTOR_LENGTH(BgL_obj2z00_6); 
{ /* Ieee/equiv.scm 103 */
long BgL_auxz00_869;long BgL_auxz00_867;
BgL_auxz00_869 = 
(long)(BgL_lobj1z00_429); 
BgL_auxz00_867 = 
(long)(BgL_arg1106z00_442); 
BgL__andtest_1016z00_431 = 
(BgL_auxz00_867==BgL_auxz00_869); } } 
if(BgL__andtest_1016z00_431)
{ /* Ieee/equiv.scm 104 */
bool_t BgL__andtest_1017z00_432;
{ /* Ieee/equiv.scm 104 */
int BgL_arg1100z00_440;int BgL_arg1101z00_441;
BgL_arg1100z00_440 = 
VECTOR_TAG(BgL_obj1z00_5); 
BgL_arg1101z00_441 = 
VECTOR_TAG(BgL_obj2z00_6); 
{ /* Ieee/equiv.scm 104 */
long BgL_auxz00_877;long BgL_auxz00_875;
BgL_auxz00_877 = 
(long)(BgL_arg1101z00_441); 
BgL_auxz00_875 = 
(long)(BgL_arg1100z00_440); 
BgL__andtest_1017z00_432 = 
(BgL_auxz00_875==BgL_auxz00_877); } } 
if(BgL__andtest_1017z00_432)
{ 
long BgL_iz00_433;
BgL_iz00_433 = ((long)0); 
BgL_testz00_434:
{ /* Ieee/equiv.scm 106 */
bool_t BgL__ortest_1018z00_435;
{ /* Ieee/equiv.scm 106 */
long BgL_auxz00_881;
BgL_auxz00_881 = 
(long)(BgL_lobj1z00_429); 
BgL__ortest_1018z00_435 = 
(BgL_iz00_433==BgL_auxz00_881); } 
if(BgL__ortest_1018z00_435)
{ /* Ieee/equiv.scm 106 */
return BgL__ortest_1018z00_435;}  else 
{ /* Ieee/equiv.scm 107 */
bool_t BgL_testz00_885;
{ /* Ieee/equiv.scm 107 */
obj_t BgL_auxz00_890;obj_t BgL_auxz00_886;
{ 
int BgL_auxz00_891;
BgL_auxz00_891 = 
(int)(BgL_iz00_433); 
BgL_auxz00_890 = 
VECTOR_REF(BgL_obj2z00_6,BgL_auxz00_891); } 
{ 
int BgL_auxz00_887;
BgL_auxz00_887 = 
(int)(BgL_iz00_433); 
BgL_auxz00_886 = 
VECTOR_REF(BgL_obj1z00_5,BgL_auxz00_887); } 
BgL_testz00_885 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_auxz00_886, BgL_auxz00_890); } 
if(BgL_testz00_885)
{ 
long BgL_iz00_895;
BgL_iz00_895 = 
(BgL_iz00_433+((long)1)); 
BgL_iz00_433 = BgL_iz00_895; 
goto BgL_testz00_434;}  else 
{ /* Ieee/equiv.scm 107 */
return ((bool_t)0);} } } }  else 
{ /* Ieee/equiv.scm 104 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 103 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 102 */
return ((bool_t)0);} } }  else 
{ /* Ieee/equiv.scm 100 */
if(
STRINGP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 110 */
if(
STRINGP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 111 */
return 
bigloo_strcmp(BgL_obj1z00_5, BgL_obj2z00_6);}  else 
{ /* Ieee/equiv.scm 111 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 110 */
if(
REALP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 112 */
if(
REALP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 114 */
double BgL_auxz00_908;double BgL_auxz00_906;
BgL_auxz00_908 = 
REAL_TO_DOUBLE(BgL_obj2z00_6); 
BgL_auxz00_906 = 
REAL_TO_DOUBLE(BgL_obj1z00_5); 
return 
(BgL_auxz00_906==BgL_auxz00_908);}  else 
{ /* Ieee/equiv.scm 113 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 112 */
if(
STRUCTP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 115 */
{ /* Ieee/equiv.scm 116 */
int BgL_lobj1z00_448;
BgL_lobj1z00_448 = 
STRUCT_LENGTH(BgL_obj1z00_5); 
if(
STRUCTP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 118 */
bool_t BgL_testz00_916;
{ /* Ieee/equiv.scm 118 */
long BgL_auxz00_921;long BgL_auxz00_917;
BgL_auxz00_921 = 
(long)(BgL_lobj1z00_448); 
{ /* Ieee/equiv.scm 118 */
int BgL_auxz00_918;
BgL_auxz00_918 = 
STRUCT_LENGTH(BgL_obj2z00_6); 
BgL_auxz00_917 = 
(long)(BgL_auxz00_918); } 
BgL_testz00_916 = 
(BgL_auxz00_917==BgL_auxz00_921); } 
if(BgL_testz00_916)
{ 
long BgL_iz00_451;
BgL_iz00_451 = ((long)0); 
BgL_testz00_452:
{ /* Ieee/equiv.scm 120 */
bool_t BgL__ortest_1024z00_453;
{ /* Ieee/equiv.scm 120 */
long BgL_auxz00_924;
BgL_auxz00_924 = 
(long)(BgL_lobj1z00_448); 
BgL__ortest_1024z00_453 = 
(BgL_iz00_451==BgL_auxz00_924); } 
if(BgL__ortest_1024z00_453)
{ /* Ieee/equiv.scm 120 */
return BgL__ortest_1024z00_453;}  else 
{ /* Ieee/equiv.scm 121 */
bool_t BgL_testz00_928;
{ /* Ieee/equiv.scm 121 */
obj_t BgL_auxz00_933;obj_t BgL_auxz00_929;
{ /* Ieee/equiv.scm 121 */
int BgL_auxz00_934;
BgL_auxz00_934 = 
(int)(BgL_iz00_451); 
BgL_auxz00_933 = 
STRUCT_REF(BgL_obj2z00_6, BgL_auxz00_934); } 
{ /* Ieee/equiv.scm 121 */
int BgL_auxz00_930;
BgL_auxz00_930 = 
(int)(BgL_iz00_451); 
BgL_auxz00_929 = 
STRUCT_REF(BgL_obj1z00_5, BgL_auxz00_930); } 
BgL_testz00_928 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_auxz00_929, BgL_auxz00_933); } 
if(BgL_testz00_928)
{ 
long BgL_iz00_938;
BgL_iz00_938 = 
(BgL_iz00_451+((long)1)); 
BgL_iz00_451 = BgL_iz00_938; 
goto BgL_testz00_452;}  else 
{ /* Ieee/equiv.scm 121 */
return ((bool_t)0);} } } }  else 
{ /* Ieee/equiv.scm 118 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 117 */
return ((bool_t)0);} } }  else 
{ /* Ieee/equiv.scm 115 */
if(
CELLP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 123 */
if(
CELLP(BgL_obj2z00_6))
{ 
obj_t BgL_obj2z00_946;obj_t BgL_obj1z00_944;
BgL_obj1z00_944 = 
CELL_REF(BgL_obj1z00_5); 
BgL_obj2z00_946 = 
CELL_REF(BgL_obj2z00_6); 
BgL_obj2z00_6 = BgL_obj2z00_946; 
BgL_obj1z00_5 = BgL_obj1z00_944; 
goto BGl_equalzf3zf3zz__r4_equivalence_6_2z00;}  else 
{ /* Ieee/equiv.scm 124 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 126 */
bool_t BgL_testz00_948;
if(BgL_test1064z00_418)
{ /* Ieee/equiv.scm 126 */
BgL_testz00_948 = ((bool_t)1)
; }  else 
{ /* Ieee/equiv.scm 126 */
BgL_testz00_948 = 
REALP(BgL_obj1z00_5)
; } 
if(BgL_testz00_948)
{ /* Ieee/equiv.scm 126 */
{ /* Ieee/equiv.scm 127 */
bool_t BgL_testz00_951;
if(
INTEGERP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 127 */
BgL_testz00_951 = ((bool_t)1)
; }  else 
{ /* Ieee/equiv.scm 127 */
BgL_testz00_951 = 
REALP(BgL_obj2z00_6)
; } 
if(BgL_testz00_951)
{ /* Ieee/equiv.scm 127 */
return 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_obj1z00_5, BgL_obj2z00_6);}  else 
{ /* Ieee/equiv.scm 127 */
return ((bool_t)0);} } }  else 
{ /* Ieee/equiv.scm 129 */
bool_t BgL_test1149z00_465;
BgL_test1149z00_465 = 
BGL_OBJECTP(BgL_obj1z00_5); 
if(BgL_test1149z00_465)
{ /* Ieee/equiv.scm 129 */
{ /* Ieee/equiv.scm 130 */
bool_t BgL__andtest_1028z00_466;
BgL__andtest_1028z00_466 = 
BGL_OBJECTP(BgL_obj2z00_6); 
if(BgL__andtest_1028z00_466)
{ /* Ieee/equiv.scm 130 */
return 
BGl_objectzd2equalzf3z21zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj1z00_5), 
(BgL_objectz00_bglt)(BgL_obj2z00_6));}  else 
{ /* Ieee/equiv.scm 130 */
return ((bool_t)0);} } }  else 
{ /* Ieee/equiv.scm 129 */
if(
UCS2_STRINGP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 132 */
if(
UCS2_STRINGP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 133 */
return 
ucs2_strcmp(BgL_obj1z00_5, BgL_obj2z00_6);}  else 
{ /* Ieee/equiv.scm 133 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 132 */
if(
CUSTOMP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 134 */
if(
CUSTOMP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 135 */
return 
CUSTOM_CMP(BgL_obj1z00_5, BgL_obj2z00_6);}  else 
{ /* Ieee/equiv.scm 135 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 134 */
if(
FOREIGNP(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 136 */
if(
FOREIGNP(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 137 */
return 
FOREIGN_EQP(BgL_obj1z00_5, BgL_obj2z00_6);}  else 
{ /* Ieee/equiv.scm 137 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 136 */
if(
UCS2P(BgL_obj1z00_5))
{ /* Ieee/equiv.scm 139 */
if(
UCS2P(BgL_obj2z00_6))
{ /* Ieee/equiv.scm 140 */
ucs2_t BgL_auxz00_984;ucs2_t BgL_auxz00_982;
BgL_auxz00_984 = 
CUCS2(BgL_obj2z00_6); 
BgL_auxz00_982 = 
CUCS2(BgL_obj1z00_5); 
return 
(BgL_auxz00_982==BgL_auxz00_984);}  else 
{ /* Ieee/equiv.scm 140 */
return ((bool_t)0);} }  else 
{ /* Ieee/equiv.scm 139 */
return ((bool_t)0);} } } } } } } } } } } } } } } } 
}



/* _equal? */
obj_t BGl__equalzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_envz00_795, obj_t BgL_obj1z00_796, obj_t BgL_obj2z00_797)
{ AN_OBJECT;
{ /* Ieee/equiv.scm 87 */
{ /* Ieee/equiv.scm 89 */
bool_t BgL_auxz00_987;
BgL_auxz00_987 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_obj1z00_796, BgL_obj2z00_797); 
return 
BBOOL(BgL_auxz00_987);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__r4_equivalence_6_2z00()
{ AN_OBJECT;
{ /* Ieee/equiv.scm 14 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__r4_equivalence_6_2z00()
{ AN_OBJECT;
{ /* Ieee/equiv.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)62184), "__r4_equivalence_6_2");} 
}

